<template>
    <div class="max-h-[1000px] opacity-1 transition-all duration-500 linear bg-[#eae3f6] pt-[10px] text-left pl-[10px] rounded-b-[15px] mb-[5px] pb-[100px]" :class="{'max-h-0 overflow-hidden opacity-0 pb-0' : !props.isOpened}">
        <slot />
    </div>
</template>

<script setup>

const props = defineProps({
  isOpened: {
    type: Boolean,
    default: false
  }
})
</script>
